from django.urls import path

from vq_django_auth import views

urlpatterns = [
    # URLs that do not require a session or valid token
    path(
        r"password/reset/",
        views.PasswordResetView.as_view(),
        name="rest_password_reset",
    ),
    path(
        r"password/reset/confirm/",
        views.PasswordResetConfirmView.as_view(),
        name="rest_password_reset_confirm",
    ),
    path(r"login/", views.LoginView.as_view(), name="rest_login"),
    # URLs that require a user to be logged in with a valid session / token.
    path(r"logout/", views.LogoutView.as_view(), name="rest_logout"),
    path(r"me/", views.UserDetailsView.as_view(), name="rest_user_details"),
    path(
        r"password/change/",
        views.PasswordChangeView.as_view(),
        name="rest_password_change",
    ),
]
